summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorSusan LoVerso <sue@wiredtiger.com>2014-05-22 13:44:04 -0400
committerSusan LoVerso <sue@wiredtiger.com>2014-05-22 13:44:04 -0400
commit7bacfc514c49a6a3f4c5ff9eb358c9136c3e0ccd (patch)
tree434198fd4791dd0ca6562eb16dbc29c2c2fbf4cb /test
parent9f5a5925756852bfa52d28113e58404e9ef1bdf8 (diff)
parent04fb1538cddc24c238493b92c846a8f1a26f19e8 (diff)
downloadmongo-7bacfc514c49a6a3f4c5ff9eb358c9136c3e0ccd.tar.gz
Merge branch 'develop' into json-dump
Diffstat (limited to 'test')
-rwxr-xr-xtest/format/smoke.sh7
-rw-r--r--test/thread/Makefile.am4
-rwxr-xr-xtest/thread/smoke.sh12
3 files changed, 20 insertions, 3 deletions
diff --git a/test/format/smoke.sh b/test/format/smoke.sh
index c64d738999d..62577692d0c 100755
--- a/test/format/smoke.sh
+++ b/test/format/smoke.sh
@@ -1,4 +1,9 @@
#! /bin/sh
# Smoke-test format as part of running "make check".
-./t -1 -c "." data_source=table file_type=row ops=100000 rows=10000 threads=4
+args="-1 -c "." data_source=table ops=100000 rows=10000 threads=4"
+
+./t $args file_type=fix || exit 1
+./t $args file_type=row || exit 1
+./t $args file_type=row data_source=lsm || exit 1
+./t $args file_type=var || exit 1
diff --git a/test/thread/Makefile.am b/test/thread/Makefile.am
index 44336dda4ba..4fe0f012e29 100644
--- a/test/thread/Makefile.am
+++ b/test/thread/Makefile.am
@@ -5,7 +5,7 @@ t_LDADD = $(top_builddir)/libwiredtiger.la
t_SOURCES = thread.h file.c rw.c stats.c t.c
t_LDFLAGS = -static
-TESTS = $(noinst_PROGRAMS)
+TESTS = smoke.sh
clean-local:
- rm -rf WiredTiger* __* *.core
+ rm -rf WiredTiger* wt.* *.core __stats
diff --git a/test/thread/smoke.sh b/test/thread/smoke.sh
new file mode 100755
index 00000000000..955dab5acad
--- /dev/null
+++ b/test/thread/smoke.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+# Smoke-test format as part of running "make check".
+
+./t -t f || exit 1
+./t -S -F -t f || exit 1
+
+./t -t r || exit 1
+./t -S -F -t r || exit 1
+
+./t -t v || exit 1
+./t -S -F -t v || exit 1